2002-02-28 Alexandra Ellwood <lxs@mit.edu>
    * fcc_gprinc.c: removed unused data variable to reduce warnings

1999-10-26  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup. [from wsanchez@apple.com]

1999-08-23  Ken Raeburn  <raeburn@mit.edu>

	* fcc_retrv.c (krb5_fcc_retrieve): Replace with a version that
	calls krb5_cc_retrieve_cred_default.

1999-06-10  Danilo Almeida  <dalmeida@mit.edu>

	* fcc_ops.c (krb5_cache_change): Use PostMessage instead of 
		SendMessage so that we don't block.

Mon May 10 15:24:49 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

1998-10-31  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* fcc_maybe.c (fcc_lock_file): Removed all of the
		filesystem-dependent mess for file locking, which has been
		now properly moved to krb5_lock_file(), where it belongs.

Fri Feb 27 18:03:33 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Changed thisconfigdir to point at the lib/krb5
 		directory, since we've moved all of the configure.in
		tests to the toplevel lib/krb5 configure.in

Wed Feb 18 16:19:40 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Thu Sep 25 21:23:11 1997  Tom Yu  <tlyu@mit.edu>

	* fcc_maybe.c: Replace KRB5_USE_INET with something more sane.

	* fcc_gennew.c: Replace KRB5_USE_INET with something more sane.

Mon Sep 15 15:15:33 1997  Ezra Peisach  <epeisach@mit.edu>

	* fcc-proto.h, fcc_reslv.c (krb5_fcc_resolve): Incoming name
	        is const char *

Sat Feb 22 22:25:09 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Use some of the new library list build rules in
		win-post.in

Thu Nov 21 11:55:16 EST 1996    Richard Basch   <basch@lehman.com>

        * Makefile.in: win32 build

	* configure.in: Test for chmod and fchmod (not on Windows)

	* fcc-proto.h, fcc_close.c, fcc_destry.c, fcc_eseq.c, fcc_gennew.c,
	fcc_getnam.c, fcc_gprin.c, fcc_init.c, fcc_nseq.c, fcc_ops.c,
	fcc_reslv.c, fcc_retrv.c, fcc_sflags.c, fcc_sseq.c, fcc_store.c:
		Changed the calling conventions of the internal ccache
		functions to comply with the new function calling
		conventions of the ccache dispatch functions (win16/win32)

Thu Jan  2 16:59:19 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to new lib build procedure.

Thu Aug 15 16:46:00 1996  Tom Yu  <tlyu@mit.edu>

	* fcc_retrv.c (flags_match): Add parens to def'n of flags_match to
		make comparison correct. (== has higher precedence than &)

Wed Jun 12 01:04:27 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* fcc-proto.h: Change use of PROTOTYPE to KRB5_PROTOTYPE.
		Change use of INTERFACE to KRB5_CALLCONV and KRB5_DLLIMP.

	* fcc-getnam.c: Change use of INTERFACE to KRB5_CALLCONV and
		KRB5_DLLIMP, since fcc_getname returns a char * and the
		old INTERFACE method bombs out when the return type
		contains an indirection.

Mon Jun 10 21:44:07 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* fcc_read.c:
	* fcc_ops.c: Change _WINDOWS to _MSDOS, and add check for _WIN32.

Wed Feb 14 10:44:27 1996    <tytso@rsts-11.mit.edu>

	* fcc_read.c (krb5_fcc_read_keyblock, krb5_fcc_read_data,
		krb5_fcc_read_authdatum, krb5_fcc_read_addr): For windows,
		mask off low 16 bits because Gradient DCE does things
		wrong.

Wed Mar 20 22:48:51 1996  Theodore Y. Ts'o  <tytso@dcl>

	* fcc-proto.h (krb5_fcc_skip_header): Added prototype (fix Windows
		lint flames).

Sat Feb 24 19:16:23 1996  Theodore Y. Ts'o  <tytso@dcl>

	* fcc_destry.c (krb5_fcc_destroy): For MS-DOS filesystems, you
		must close the file before unlinking it, otherwise the
		unlink() will fail.

Thu Feb 15 14:55:56 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* fcc_skip.c (krb5_fcc_skip_header): If version is not FVNO_4, do not
		seek forward a random stack value.

Thu Feb  1 15:45:23 1996  Sam Hartman  <hartmans@tertius.mit.edu>

	* fcc_retrv.c (ktype_reasonable): removed.
	(krb5_fcc_retrieve): Accept any enctype unless specific enctype is
		being matched. 

Wed Jan 24 21:36:34 1996  Sam Hartman  <hartmans@tertius.mit.edu>

	* fcc_retrv.c (ktype_reasonable): Renamed ktype_match because it
        didn't really match enctypes.  Instead, it just determined whether
        they were something the TGS would likely return.  When I ask for
        an exact enctype match, I want an enctype match.
	(krb5_fcc_retrieve): Match keytype exactly if matching enctype.

Wed Jan 10 21:14:31 1996  Theodore Y. Ts'o  <tytso@dcl>

	* fcc.h (KRB5_FCC_DEFAULT_VNO): Remove KRB5_FCC_DEFAULT_VNO; now
		set in init_ctx.c.

	* fcc_maybe.c (krb5_fcc_open_file): 
	* fcc_gennew.c (krb5_fcc_generate_new): Use
		context->fcc_default_format to determine the credentials
		cache type.

	* fcc_read.c (krb5_fcc_read_keyblock): If reading in a version 3
		credentials cache, ignore the second enctype stored in the
		ccache; just read it into a dummy variable.

Thu Dec 21 18:28:09 1995  Theodore Y. Ts'o  <tytso@dcl>

	* fcc_maybe.c (krb5_fcc_open_file): In the case of
		FCC_OPEN_AND_ERASE, unlink the old filename, and then add
		the O_EXCL open flag, to prevent O_CREAT from following a
		symbolic link.
		(krb5_fcc_open_file): Use KRB5_CC_FORMAT as an error code
		instead of KRB5_CCACHE_BADVNO, when it's really a format
		error in the credentials cache file.

Fri Oct  6 22:03:16 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Remove ##DOS!include of config/windows.in.
		config/windows.in is now included by wconfig.

Mon Sep 25 16:56:41 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

Wed Sep 13 10:56:00 1995 Keith Vetter (keithv@fusion.com)

	* fcc_maybe.c: signed/unsigned mismatch.

Mon Sep 11 21:05:40 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* fcc_maybe.c (krb5_fcc_open_file): use THREEPARAMOPEN instead of
	just open.

Wed Sep 06 14:20:57 1995   Chris Provenzano (proven@mit.edu)

         * file_read.c, file_write.c : s/keytype/enctype/g, s/KEYTYPE/ENCTYPE/g

Wed Sept 6 12:00:00 EDT 1995	James Mattly	(mattly@fusion.com)

	* fcc_retrv.c: for _MACINTOSH, defined register to null for compiler
	 prototype problems.

	* fcc_maybe.c: included <stdio.h>

Tue Sep 05 22:58:52 1995

	* fcc.h : Add another KRB5_FCC_FVNO but don't up the default.
	* fcc_gennew.c, fcc_maybe.c : New version saves a length after 
		version for whatever we want to put into the ccache before 
		the first credential (like a time skew)
        * fcc_read.c, fcc_write.c : Remove krb5_enctype references, and 
		replace with krb5_keytype where appropriate
  
Tue Aug 29 13:36:00 EDT 1995	Paul Park	(pjpark@mit.edu)
	* fcc_reslv.c - Set magic number in successfully resolved ccache.

Tue Jul 11 19:26:47 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* fcc-proto.h: Add prototype for krb5_fcc_read. Indicate that
		krb5_change_cache takes no arguments. 
	

Wed July  5 15:52:31 1995  James Mattly  <mattly@fusion.com>
	* fcc_destroy.c changed open to THREEPARAMOPEN for macintosh
	opens
	* fcc_gennew.c conditons for HAS_MACSOCK_H and THREEPARAMOPEN
	* fcc_maybe.c conditons for HAS_MACSOCK_H

Wed Nov 15 20:39:18 1995  Mark Eichin  <eichin@cygnus.com>

	* fcc_maybe.c (fcc_lock_file_posix): initialize lock_arg to a copy
 	of a static (thus zero) struct flock, to avoid panic'ing sunos
 	4.1.4.

Wed Jun 14 23:54:09 1995  Theodore Y. Ts'o  (tytso@dcl)

	* fcc_errs.c (krb5_fcc_interpret): Add #ifdef around switch
		statement for ETXTBUSY.

Sat Jun 10 00:01:23 1995  Theodore Y. Ts'o  <tytso@dcl>

	* fcc_init.c (krb5_fcc_initialize): Make sure the status return
	        from krb5_fcc_store_principal is reflected in the return
		status of krb5_fcc_initialize().

Fri Jun  9 19:30:01 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

	* fcc_maybe.c: Fix -Wall nits

Fri May 26 20:19:39 1995  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in, Makefile.in: Add support for building shared libraries.

Thu May 25 15:37:39 1995 Keith Vetter (keithv@fusion.com)

	* fcc_maybe.c: the NEED_SOCKETS has to be before the #include line.

Tue May 23 16:28:07 1995  Theodore Y. Ts'o  (tytso@dcl)

	* fcc_maybe.c: Rearrange #include files so that krb5.h gets
		included first, so that the debugging information can be
		more efficiently collapsed since the type numbers will be
		the same.

Tue May  9 16:23:39 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* fcc_close.c (krb5_fcc_close): Remove <malloc.h> as not all
		platforms have it and k5-int.h already takes care of
		malloc declarations.

Thu Apr 13 15:49:16 1995 Keith Vetter (keithv@fusion.com)

	* *.[ch]: removed unneeded INTERFACE from non-api functions.

Wed Mar 22 11:24:07 1995 Keith Vetter (keithv@fusion.com)

	* fcc-proto.h: added prototype for cache changing hook, 
	* fcc.h: changed cache file location for the PC (out of /tmp).
        * fcc_ops.h: made the cache changing hook return an error code.

Tue Mar 21 19:14:49 1995 Keith Vetter (keithv@fusion.com)

	* fcc_destroy.c: open file on the PC in binary mode, worked around
           the unixism of working with deleted files.
        * fcc_genn.c: open file on the PC in binary mode.
        * fcc_init.c: uninitialized variable on the PC.
        * fcc_maybe.c: open file on the PC in binary mode.
        * fcc_read.c: a real clever one-line piece of code to turn 4 bytes 
           into a 32 bit integer fails miserbly on 16 bit machines. Fixed.
        * fcc_ops.c: added hooks to notify programs when the ccache changes.
           For windows, the code is taken from the K4 release, for other
           platforms it does nothing.
        * fcc_destroy.c, fcc_genn.c, fcc_init.c, fcc_store.c: added calls to
           the hook described for fcc_ops.c.

Fri Mar 17 19:23:09 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (LDFLAGS):  Eliminate, duplicates config/pre.in.

Wed Mar 15 12:07:28 1995 Keith Vetter (keithv@fusion.com)

	* fcc_eseq.c, fcc_init.c, fcc_maybe.c, fcc_dest.c:
	   Initialized return code.
	* fcc_genn.c, fcc_init.c: removed chmod call for the PC

Thu Mar 09 18:43:10 1995  Chris Provenzano (proven@mit.edu)

	* fcc_destry.c (krb5_fcc_destroy())
	* fcc_init.c   (krb5_fcc_initialize())
		Initialize kret before returning it.

	* fcc_maybe.c (fcc_lock_file()) Initialize st before returning it.

Tue Mar  7 19:54:48 1995  Mark Eichin  <eichin@cygnus.com>

	* configure.in: take out ISODE_DEFS.

Tue Mar 7 15:58:15 1995 Keith Vetter (keithv@fusion.com)

	* fcc.h: alwas pull in low-level i/o stuff for the PC.
        * *.c, fcc-proto.h: added windows INTERFACE keyword.
        * fcc_dest.c, fcc_init.c, fcc_maybe.c, fcc_nseq.c, fcc_read.c, 
           fcc_sseq.c, fcc_write.c: fixed up some int/long and 
           signed/unsigned problems.

Tue Feb 28 00:35:55 1995  John Gilmore  (gnu at toad.com)

	* fcc.h, fcc_gennew.c, fcc_maybe.c:  Avoid <krb5/...> includes.

Tue Feb 21 16:14:25 1995  Mark Eichin  (eichin@cygnus.com)

	* configure.in: check for HAVE_FLOCK, since we may need to use
	both flock and fcntl.
	* fcc_maybe.c: try fcntl lock, if we get EINVAL specifically, fall
	back to flock (if we have it.)

Fri Jan 27 00:49:36 1995  Chris Provenzano (proven@mit.edu)

        * Fix fcc_read.c (krb5_fcc_read_authdatum()) krb5_authdatatype
                is of type unsigned int and therefore shouldn't be the
                argument to krb5_fcc_read_ui_2(). 

Fri Jan 13 15:23:47 1995  Chris Provenzano (proven@mit.edu)

	* Added krb5_context to all krb5_routines

Wed Dec  7 16:58:59 1994    <tytso@rsx-11.mit.edu>

	* fcc_write.c (krb5_fcc_store_addrs): If a null addresses is
		passed in, don't core dump.

Fri Nov 18 17:22:51 1994  Theodore Y. Ts'o  (tytso@dcl)

	* fcc_read.c (krb5_fcc_read_principal): Fix to return correct
		error code, instead of always returning KRB5_CC_NOMEM.

Wed Nov 16 23:31:49 1994  Theodore Y. Ts'o  (tytso@dcl)

        * fcc-proto.h, fcc.h, fcc_maybe.c (krb5_fcc_open_file), fcc_nseq.c
	(krb5_fcc_next_cred), fcc_store.c (krb5_fcc_store), fcc_read.c,
	fcc_write.c:  Changes to implement FCC format version #3, which
		is architecture independent, and includes the key
		encryption type information.

	* fcc_gennew.c (krb5_fcc_generate_new): Generate new ccaches using
		whatever version is marked as the default.

	* fcc_read.c (krb5_fcc_read_keyblock): Insert keyblock magic
		number and initialize etype value.  Also add magic numbers
		for the krb5_principal, krb5_data, krb5_address, and
		krb5_authdata structures.

Mon Oct 31 17:02:04 1994  Theodore Y. Ts'o  (tytso@dcl)

	* fcc_maybe.c: Back out POSIX_FILE_LOCKS change.  (Should be
		depending on autoconf.h to supply this #define if
		necessary.) 

Thu Oct 13 17:23:42 1994  Theodore Y. Ts'o  (tytso@maytag)

	* configure.in: Add ISODE_DEFS

Fri Oct  7 14:18:44 1994  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Add test for unistd.h
	* fcc_maybe.c: Use POSIX_FILE_LOCKS if _POSIX_VERSION is defined.

Fri Sep 30 21:54:20 1994  Theodore Y. Ts'o  (tytso@dcl)

	* fcc_defops.c (krb5_cc_file_ops):
	  fcc_ops.c (krb5_fcc_ops): Add placeholder for magic number

Thu Sep 22 21:37:15 1994  Theodore Y. Ts'o  (tytso@dcl)

	* fcc_destry.c (krb5_fcc_destroy): Make sure memory associated
		with the credentials cache is freed after it is destroyed.

Thu Aug 18 16:33:33 1994  Theodore Y. Ts'o  (tytso at tsx-11)

	* fcc_retrv.c (srvname_match): Fix bug in srvname_match where so
	that the server realm is really ignored in the compare, like it's
	supposed to be.

Mon Jun 20 19:36:19 1994  Theodore Y. Ts'o  (tytso at tsx-11)

	* fcc.h: #include <krb5/osconf.h> so that build works using imake.


